## kdebase-workspace 4.4.5

=== CMakeLists.txt ===
project(KDEBASE_WORKSPACE)

# Used e.g. in KDE4WorkspaceConfig.cmake, Alex
set(KDE4WORKSPACE_VERSION_MAJOR 4)
set(KDE4WORKSPACE_VERSION_MINOR 4)
set(KDE4WORKSPACE_VERSION_PATCH 5)
set(KDE4WORKSPACE_VERSION ${KDE4WORKSPACE_VERSION_MAJOR}.${KDE4WORKSPACE_VERSION_MINOR}.${KDE4WORKSPACE_VERSION_PATCH} )


# where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules ${CMAKE_MODULE_PATH} )

if(CMAKE_SOURCE_DIR STREQUAL "${CMAKE_CURRENT_SOURCE_DIR}")
  set(BUILDING_WORKSPACE_SEPARATELY true)
endif(CMAKE_SOURCE_DIR STREQUAL "${CMAKE_CURRENT_SOURCE_DIR}")


#search packages used by KDE
set (QT_MIN_VERSION "4.6.0")
set(KDE_MIN_VERSION "4.4.5")
find_package(KDE4 4.4.5 REQUIRED)
find_package(Strigi REQUIRED)
find_package(QImageBlitz REQUIRED)
find_package(ZLIB REQUIRED)

if(Q_WS_X11)
  if(NOT X11_XTest_FOUND)
    macro_log_feature(X11_XTest_FOUND "libXtst" "X11 Testing Resource extension library" "http://xorg.freedesktop.org" FALSE "" "useful for automated testing of X clients.")
  endif(NOT X11_XTest_FOUND)
endif(Q_WS_X11)

macro_optional_find_package(GLIB2)
macro_log_feature(GLIB2_FOUND "glib2" "Low-level core library for data structure handling, portability wrappers, etc." "http://www.gtk.org" FALSE "2.x" "Needed to build the kxkb keyboard map control program and provide XMMS support in the Now Playing Plasma data engine")

macro_optional_find_package(Fontconfig)

macro_optional_find_package(Googlegadgets)
macro_log_feature(GOOGLEGADGETS_FOUND "GoogleGadgets" "Google Gadgets library" "http://code.google.com/p/google-gadgets-for-linux/" FALSE "0.11.0" "Needed to build plasma scriptengine for google gadgets")

macro_optional_find_package(QEdje)
macro_log_feature(QEDJE_FOUND "QEdje" "QEdje library" "http://code.openbossa.org/projects/qedje/pages/Home" FALSE "" "Needed to build plasma scriptengine for edje files")

macro_optional_find_package(OpenGL)

#### Python support ####
macro_optional_find_package(PythonLibrary)

macro_optional_find_package(SIP)
if(SIP_FOUND AND SIP_VERSION STRLESS "040701")
  message(STATUS "The version of SIP found is too old. 4.7.1 or later is needed.")
  set(SIP_FOUND)
endif(SIP_FOUND AND SIP_VERSION STRLESS "040701")
 
include(SIPMacros)
 
macro_optional_find_package(PyQt4)
if(PYQT4_FOUND AND PYQT4_VERSION STRLESS "040400")
  message(STATUS "The version of PyQt found is too old. 4.4.0 or later is required.")
  set(PYQT4_FOUND)
endif(PYQT4_FOUND AND PYQT4_VERSION STRLESS "040400")

macro_optional_find_package(PyKDE4)
set(PythonSupport_FOUND TRUE)

#### End Python support ####

include(MacroLibrary)
include(KDE4Defaults)

macro_optional_find_package(Nepomuk)
macro_log_feature(Nepomuk_FOUND "Nepomuk" "Nepomuk Libraries" "kdelibs" FALSE "" "Required to build Nepomuk features.")

macro_optional_find_package(PolkitQt)
macro_log_feature(POLKITQT_FOUND "Polkit-Qt" "Qt Wrapper around PolicyKit" "kdesupport" FALSE "" "Required to build PolicyKit-KDE")

include(ConfigureChecks.cmake)
if(NOT WIN32)
  configure_file(config-unix.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-unix.h )
  configure_file(config-X11.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-X11.h )
  if(NOT CMAKE_INSTALL_PREFIX STREQUAL "/usr")
    set(EXPORT_XCURSOR_PATH "XCURSOR_PATH=${CMAKE_INSTALL_PREFIX}/share/icons:$XCURSOR_PATH\":~/.icons:/usr/share/icons:/usr/share/pixmaps:/usr/X11R6/lib/X11/icons\"; export XCURSOR_PATH")
  endif(NOT CMAKE_INSTALL_PREFIX STREQUAL "/usr")
  configure_file(startkde.cmake ${CMAKE_CURRENT_BINARY_DIR}/startkde  @ONLY)
  configure_file(safestartkde.cmake ${CMAKE_CURRENT_BINARY_DIR}/safestartkde  @ONLY)
endif(NOT WIN32)
configure_file(config-workspace.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-workspace.h )

add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS} -DHAVE_CONFIG_H=1)
include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${KDE4_INCLUDES})

set( backgroundlib_SRCS
    ${CMAKE_CURRENT_SOURCE_DIR}/kcontrol/kdm/background/bgrender.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/kcontrol/kdm/background/bgsettings.cpp
)

set( kcmbackgroundlib_SRCS
  ${CMAKE_CURRENT_SOURCE_DIR}/kcontrol/kdm/background/bgdialog.cpp
  ${CMAKE_CURRENT_SOURCE_DIR}/kcontrol/kdm/background/bgadvanced.cpp
  ${CMAKE_CURRENT_SOURCE_DIR}/kcontrol/kdm/background/bgmonitor.cpp
  ${CMAKE_CURRENT_SOURCE_DIR}/kcontrol/kdm/background/bgwallpaper.cpp
)

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}/kdm
  ${CMAKE_CURRENT_SOURCE_DIR}/libs
  ${CMAKE_CURRENT_SOURCE_DIR}/libs/kworkspace
)
# libs
add_subdirectory(cmake)
add_subdirectory(libs)

# system settings (kcontrol replacement)
macro_optional_add_subdirectory( systemsettings )

# core apps
if(NOT WIN32)
  macro_optional_add_subdirectory( kcheckpass )
  macro_optional_add_subdirectory( kscreensaver )
  macro_optional_add_subdirectory( kwin )
  macro_optional_add_subdirectory( ksmserver )
  macro_optional_add_subdirectory( kcminit )
  macro_optional_add_subdirectory( ksplash )
  macro_optional_add_subdirectory( khotkeys )
  macro_optional_add_subdirectory( ksysguard )
  macro_optional_add_subdirectory( powerdevil )
  macro_optional_add_subdirectory( kwrited )
  macro_optional_add_subdirectory( qguiplatformplugin_kde )
  if(POLKITQT_FOUND)
    macro_optional_add_subdirectory( PolicyKit-kde )
  endif(POLKITQT_FOUND)
endif(NOT WIN32)
macro_optional_add_subdirectory( klipper )
macro_optional_add_subdirectory( krunner )
macro_optional_add_subdirectory( solid )
macro_optional_add_subdirectory( kmenuedit )
macro_optional_add_subdirectory( plasma )
macro_optional_add_subdirectory( kstartupconfig )


# apps we need to figure out what to do with
macro_optional_add_subdirectory( kcontrol )
if(NOT WIN32)
  macro_optional_add_subdirectory( ksystraycmd )
endif(NOT WIN32)
# data
if(NOT WIN32)
  macro_optional_add_subdirectory( cursors )
endif(NOT WIN32)
macro_optional_add_subdirectory( doc )
macro_optional_add_subdirectory( wallpapers )

if(X11_Xau_FOUND AND X11_Xdmcp_FOUND)
  add_subdirectory( kdm )
else(X11_Xau_FOUND AND X11_Xdmcp_FOUND)
  message(STATUS "Xau lib or Xdmcp lib was missing. kdm will not compile")
endif(X11_Xau_FOUND AND X11_Xdmcp_FOUND)


########### install files ###############
if(NOT WIN32)
  install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/startkde DESTINATION ${BIN_INSTALL_DIR})
  install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/safestartkde DESTINATION ${BIN_INSTALL_DIR})
endif(NOT WIN32)

if(BUILDING_WORKSPACE_SEPARATELY)
  macro_display_feature_log()
endif(BUILDING_WORKSPACE_SEPARATELY)

# make the libraries installed from kdebase/workspace available to other projects
# by creating and installing a KDE4WorkspaceConfig.cmake file, which will
# be searched and found by kdelibs/cmake/modules/FindKDE4Workspace.cmake. Alex

# now create the KDE4WorkspaceConfig.cmake file, which will be loaded by 
# kdelibs/cmake/modules/FindKDE4Workspace.cmake and which has to contain all information
# about the libraries installed from kdebase/workspace/libs/ anybody would like to have. Alex

# we need the absolute directories where stuff will be installed too
# but since the variables which contain the destinations can be relative
# or absolute paths, we need this macro to make them all absoulte, Alex
macro(MAKE_INSTALL_PATH_ABSOLUTE out in)
   if (IS_ABSOLUTE "${in}")    # IS_ABSOLUTE is new since cmake 2.4.8
      set(${out} "${in}")
   else (IS_ABSOLUTE "${in}")
      set(${out} "\${KDE4WORKSPACE_INSTALL_DIR}/${in}")
   endif (IS_ABSOLUTE "${in}")
endmacro(MAKE_INSTALL_PATH_ABSOLUTE out in)

make_install_path_absolute(KDE4WORKSPACE_LIB_DIR     ${LIB_INSTALL_DIR})
make_install_path_absolute(KDE4WORKSPACE_LIBEXEC_DIR ${LIBEXEC_INSTALL_DIR})
make_install_path_absolute(KDE4WORKSPACE_INCLUDE_DIR ${INCLUDE_INSTALL_DIR})
make_install_path_absolute(KDE4WORKSPACE_BIN_DIR     ${BIN_INSTALL_DIR})
make_install_path_absolute(KDE4WORKSPACE_SBIN_DIR    ${SBIN_INSTALL_DIR})
make_install_path_absolute(KDE4WORKSPACE_DATA_DIR    ${DATA_INSTALL_DIR})
make_install_path_absolute(KDE4WORKSPACE_HTML_DIR    ${HTML_INSTALL_DIR})
make_install_path_absolute(KDE4WORKSPACE_CONFIG_DIR  ${CONFIG_INSTALL_DIR})
make_install_path_absolute(KDE4WORKSPACE_ICON_DIR    ${ICON_INSTALL_DIR})
make_install_path_absolute(KDE4WORKSPACE_KCFG_DIR    ${KCFG_INSTALL_DIR})
make_install_path_absolute(KDE4WORKSPACE_LOCALE_DIR  ${LOCALE_INSTALL_DIR})
make_install_path_absolute(KDE4WORKSPACE_MIME_DIR    ${MIME_INSTALL_DIR})
make_install_path_absolute(KDE4WORKSPACE_SOUND_DIR   ${SOUND_INSTALL_DIR})
make_install_path_absolute(KDE4WORKSPACE_TEMPLATES_DIR    ${TEMPLATES_INSTALL_DIR})
make_install_path_absolute(KDE4WORKSPACE_WALLPAPER_DIR    ${WALLPAPER_INSTALL_DIR})
make_install_path_absolute(KDE4WORKSPACE_KCONF_UPDATE_DIR    ${KCONF_UPDATE_INSTALL_DIR})
make_install_path_absolute(KDE4WORKSPACE_AUTOSTART_DIR    ${AUTOSTART_INSTALL_DIR})
make_install_path_absolute(KDE4WORKSPACE_XDG_APPS_DIR        ${XDG_APPS_INSTALL_DIR})
make_install_path_absolute(KDE4WORKSPACE_XDG_DIRECTORY_DIR   ${XDG_DIRECTORY_INSTALL_DIR})
make_install_path_absolute(KDE4WORKSPACE_SYSCONF_DIR ${SYSCONF_INSTALL_DIR})
make_install_path_absolute(KDE4WORKSPACE_MAN_DIR     ${MAN_INSTALL_DIR})
make_install_path_absolute(KDE4WORKSPACE_INFO_DIR    ${INFO_INSTALL_DIR})
make_install_path_absolute(KDE4WORKSPACE_DBUS_INTERFACES_DIR ${DBUS_INTERFACES_INSTALL_DIR})
make_install_path_absolute(KDE4WORKSPACE_DBUS_SERVICES_DIR   ${DBUS_SERVICES_INSTALL_DIR})
make_install_path_absolute(KDE4WORKSPACE_SERVICES_DIR ${SERVICES_INSTALL_DIR})
make_install_path_absolute(KDE4WORKSPACE_SERVICETYPES_DIR ${SERVICETYPES_INSTALL_DIR})

set(KDE4WORKSPACE_TARGET_PREFIX KDE4Workspace__)

configure_file(KDE4WorkspaceConfig.cmake.in "${CMAKE_CURRENT_BINARY_DIR}/KDE4WorkspaceConfig.cmake" @ONLY)

# this file will be installed too and will be used by cmake when searching for the Config.cmake file to check the version of kdepimlibs, Alex
macro_write_basic_cmake_version_file(${CMAKE_CURRENT_BINARY_DIR}/KDE4WorkspaceConfigVersion.cmake 
                                     ${KDE4WORKSPACE_VERSION_MAJOR} ${KDE4WORKSPACE_VERSION_MINOR} ${KDE4WORKSPACE_VERSION_PATCH})

set(_KDE4WorkspaceConfig_INSTALL_DIR ${LIB_INSTALL_DIR}/KDE4Workspace-${KDE4WORKSPACE_VERSION}/cmake)
# places where find_package() looks for FooConfig.cmake files:
# CMake >= 2.6.0 looks in lib/Foo*/cmake/, CMake >= 2.6.3 also looks in
# lib/cmake/Foo*/, which packagers prefer. So they can set the KDE4_USE_COMMON_CMAKE_PACKAGE_CONFIG_DIR
# option to have kdepimlibs install its Config file there. Alex
if(KDE4_USE_COMMON_CMAKE_PACKAGE_CONFIG_DIR)
   set(_KDE4WorkspaceConfig_INSTALL_DIR ${LIB_INSTALL_DIR}/cmake/KDE4Workspace-${KDE4WORKSPACE_VERSION} )
endif(KDE4_USE_COMMON_CMAKE_PACKAGE_CONFIG_DIR)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/KDE4WorkspaceConfig.cmake
              ${CMAKE_CURRENT_BINARY_DIR}/KDE4WorkspaceConfigVersion.cmake
        DESTINATION ${_KDE4WorkspaceConfig_INSTALL_DIR})

install(EXPORT kdeworkspaceLibraryTargets 
        NAMESPACE ${KDE4WORKSPACE_TARGET_PREFIX}
        DESTINATION ${_KDE4WorkspaceConfig_INSTALL_DIR}
        FILE KDE4WorkspaceLibraryTargets.cmake )

=== kcontrol/CMakeLists.txt ===

macro_optional_find_package(Freetype)
macro_log_feature(FREETYPE_FOUND "FreeType" "A font rendering engine" "http://www.freetype.org" FALSE "" "Needed to build kfontinst, a simple font installer.")


set(libkxftconfig_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/fonts/kxftconfig.cpp )


if( X11_Xrandr_FOUND )
   add_subdirectory( randr )
endif(X11_Xrandr_FOUND )

if(X11_Xkb_FOUND)
    add_subdirectory( kxkb )
    add_subdirectory( keyboard )
endif(X11_Xkb_FOUND)

if(NOT WIN32)
add_subdirectory( bell )
add_subdirectory( input )
add_subdirectory( kdm )
add_subdirectory( access )
add_subdirectory( screensaver )
add_subdirectory( dateandtime )
add_subdirectory( autostart )
endif(NOT WIN32)

add_subdirectory( launch )
add_subdirectory( colors )
add_subdirectory( krdb )
add_subdirectory( style )
add_subdirectory( standard_actions )
add_subdirectory( keys )
add_subdirectory( workspaceoptions )
if(X11_Xinerama_FOUND)
	add_subdirectory( xinerama )
endif(X11_Xinerama_FOUND)

#TODO needs porting to what changed in KDE4 + please also rethink if it's really needed/useful to provide a duplicated nav-hierachy for colors, fonts, etc. - thx :)
#add_subdirectory( kthememanager )

add_subdirectory( hardware )

if(FONTCONFIG_FOUND AND FREETYPE_FOUND AND NOT WIN32)
    add_subdirectory( fonts )
    add_subdirectory( kfontinst )
endif(FONTCONFIG_FOUND AND FREETYPE_FOUND AND NOT WIN32)

message(STATUS "${CMAKE_CURRENT_SOURCE_DIR}: skipped subdir $(KSMCARD_SUBDIR)")

=== kdm/CMakeLists.txt ===
include_directories( BEFORE ${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/backend )


install_pam_service(KDM)

include(ConfigureChecks.cmake)

install( FILES README DESTINATION ${DATA_INSTALL_DIR}/doc/kdm )

set(confproc ${CMAKE_CURRENT_SOURCE_DIR}/confproc.pl)
set(confdef ${CMAKE_CURRENT_SOURCE_DIR}/config.def)
set(confci ${CMAKE_CURRENT_BINARY_DIR}/config.ci)
macro_additional_clean_files( ${confci} )

add_custom_command(
	OUTPUT ${confci}
	COMMAND ${PERL_EXECUTABLE} -w ${confproc} ${confdef} ${confci}
	MAIN_DEPENDENCY ${confdef}
	DEPENDS ${confproc}
)

add_custom_target(ConfigCi DEPENDS ${confci})

### this is *only* for the kdm home page maintainer! ###
ADD_CUSTOM_TARGET(hp scp
	${CMAKE_CURRENT_SOURCE_DIR}/README
	${CMAKE_CURRENT_SOURCE_DIR}/ChangeLog
	${CMAKE_CURRENT_SOURCE_DIR}/TODO
	devel-home:files/kdm)

# after build_confci is defined
add_subdirectory(backend)
add_subdirectory(kfrontend)

=== klipper/CMakeLists.txt ===
kde4_no_enable_final(klipper)

set(libklipper_common_SRCS
    klipper.cpp
    urlgrabber.cpp
    configdialog.cpp
    clipboardpoll.cpp
    history.cpp
    historyitem.cpp
    historystringitem.cpp
    klipperpopup.cpp
    popupproxy.cpp
    historyimageitem.cpp
    historyurlitem.cpp
    actionstreewidget.cpp
    editactiondialog.cpp
    clipcommandprocess.cpp
)

kde4_add_app_icon(libklipper_common_SRCS "${KDE4_ICON_INSTALL_DIR}/oxygen/*/apps/klipper.png")
kde4_add_ui_files(libklipper_common_SRCS generalconfig.ui actionsconfig.ui editactiondialog.ui)
kde4_add_kcfg_files(libklipper_common_SRCS klippersettings.kcfgc)

set(klipper_KDEINIT_SRCS ${libklipper_common_SRCS} main.cpp tray.cpp)


kde4_add_kdeinit_executable(klipper ${klipper_KDEINIT_SRCS})

target_link_libraries(kdeinit_klipper ${KDE4_KDEUI_LIBS} ${X11_LIBRARIES} ${ZLIB_LIBRARY})
if (X11_Xfixes_FOUND)
  target_link_libraries(kdeinit_klipper ${X11_Xfixes_LIB})
endif (X11_Xfixes_FOUND)

install(TARGETS kdeinit_klipper ${INSTALL_TARGETS_DEFAULT_ARGS})
install(TARGETS klipper         ${INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES klipper.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
install(FILES klipper.desktop DESTINATION ${AUTOSTART_INSTALL_DIR})

if(NOT WIN32)
  install( FILES klipper-kconfigxt.upd DESTINATION  ${KCONF_UPDATE_INSTALL_DIR} )
endif(NOT WIN32)

=== ksmserver/CMakeLists.txt ===
add_subdirectory( kcm )
add_subdirectory( tests )

include_directories(
   ${KDEBASE_WORKSPACE_SOURCE_DIR}/libs
   ${KDEBASE_WORKSPACE_SOURCE_DIR}/solid/control/
   ${QIMAGEBLITZ_INCLUDES}
)

check_library_exists(ICE _IceTransNoListen "" HAVE__ICETRANSNOLISTEN)
configure_file(config-ksmserver.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-ksmserver.h)

########### next target ###############

set(ksmserver_KDEINIT_SRCS
   main.cpp
   server.cpp
   shutdowndlg.cpp
   legacy.cpp
   startup.cpp
   shutdown.cpp
   client.cpp
   logouteffect.cpp
   fadeeffect.cpp
   curtaineffect.cpp)

INCLUDE(CheckCCompilerFlag)
CHECK_CXX_COMPILER_FLAG(-mmmx HAVE_MMMX)

if (HAVE_MMMX)
   SET_SOURCE_FILES_PROPERTIES(fadeeffect.cpp PROPERTIES COMPILE_FLAGS -mmmx)
endif (HAVE_MMMX)

set(kcminit_adaptor ${CMAKE_CURRENT_SOURCE_DIR}/../kcminit/main.h)
set(kcminit_xml ${CMAKE_CURRENT_BINARY_DIR}/org.kde.KCMinit.xml)
add_custom_command(OUTPUT ${kcminit_xml}
       COMMAND ${QT_DBUSCPP2XML_EXECUTABLE} ${kcminit_adaptor} > ${kcminit_xml}
       DEPENDS ${kcminit_adaptor})
qt4_add_dbus_interface( ksmserver_KDEINIT_SRCS ${kcminit_xml} kcminit_interface )

# This is actually now disabled, because OrgKDEKlauncherInterface is also provided
# by kdecore, it is not autogenerated and is not binary compatible with a currently
# generated version, thus at certain circumstances leading to strange crashes.
# This should be fixed for KDE5.
# KLauchner.xml is installed by kdelibs, so it is in KDE4_DBUS_INTERFACES_DIR
# set(klauncher_xml  ${KDE4_DBUS_INTERFACES_DIR}/org.kde.KLauncher.xml)
# qt4_add_dbus_interface( ksmserver_KDEINIT_SRCS ${klauncher_xml} klauncher_interface )

qt4_add_dbus_adaptor( ksmserver_KDEINIT_SRCS org.kde.KSMServerInterface.xml server.h KSMServer )

kde4_add_kdeinit_executable( ksmserver ${ksmserver_KDEINIT_SRCS})

target_link_libraries(kdeinit_ksmserver ${KDE4_PLASMA_LIBS} solidcontrol kworkspace
   ${KDE4_KDEUI_LIBS} ${KDE4_KIO_LIBS} ${QIMAGEBLITZ_LIBRARIES} ${KDE4_SOLID_LIBS} ${X11_LIBRARIES} ${X11_Xrender_LIB}
)

install(TARGETS kdeinit_ksmserver ${INSTALL_TARGETS_DEFAULT_ARGS})

install(TARGETS ksmserver ${INSTALL_TARGETS_DEFAULT_ARGS})

########### next target ###############

set(kcheckrunning_SRCS
   kcheckrunning.cpp)

kde4_add_executable( kcheckrunning ${kcheckrunning_SRCS})

target_link_libraries(kcheckrunning ${X11_LIBRARIES})

install(TARGETS kcheckrunning ${INSTALL_TARGETS_DEFAULT_ARGS})

########### install files ###############

install( FILES ksmserver.upd DESTINATION  ${KCONF_UPDATE_INSTALL_DIR} )
install( PROGRAMS move_session_config.sh DESTINATION  ${KCONF_UPDATE_INSTALL_DIR} )
install( FILES org.kde.KSMServerInterface.xml DESTINATION ${DBUS_INTERFACES_INSTALL_DIR})

=== kstartupconfig/CMakeLists.txt ===
########### kstartupconfig ###############

set(kstartupconfig_SRCS kstartupconfig.cpp )

kde4_add_executable(kstartupconfig4 NOGUI ${kstartupconfig_SRCS})

if(WIN32)
target_link_libraries(kstartupconfig4 ${KDE4_KDECORE_LIBS})
else(WIN32)
target_link_libraries(kstartupconfig4 kdefakes ${KDE4_KDECORE_LIBS})
endif(WIN32)

install(TARGETS kstartupconfig4 ${INSTALL_TARGETS_DEFAULT_ARGS} )

########### kdostartupconfig ###############

set(kdostartupconfig_SRCS kdostartupconfig.cpp )

kde4_add_executable(kdostartupconfig4 NOGUI ${kdostartupconfig_SRCS})

target_link_libraries(kdostartupconfig4 ${KDE4_KDECORE_LIBS} )

install(TARGETS kdostartupconfig4 ${INSTALL_TARGETS_DEFAULT_ARGS} )

=== plasma/CMakeLists.txt ===
add_definitions(-DKDE_DEFAULT_DEBUG_AREA=1204)

add_subdirectory(desktop)
add_subdirectory(generic)
add_subdirectory(netbook)
add_subdirectory(screensaver)
add_subdirectory(tools)

=== wallpapers/CMakeLists.txt ===
install(DIRECTORY Aghi DESTINATION ${WALLPAPER_INSTALL_DIR} PATTERN .svn EXCLUDE)

install(DIRECTORY Air DESTINATION ${WALLPAPER_INSTALL_DIR} PATTERN .svn EXCLUDE)

install(DIRECTORY Code_Poets_Dream DESTINATION ${WALLPAPER_INSTALL_DIR} PATTERN .svn EXCLUDE)

install(DIRECTORY Curls_on_Green DESTINATION ${WALLPAPER_INSTALL_DIR} PATTERN .svn EXCLUDE)

install(DIRECTORY Ethais DESTINATION ${WALLPAPER_INSTALL_DIR} PATTERN .svn EXCLUDE)

install(DIRECTORY Evening DESTINATION ${WALLPAPER_INSTALL_DIR} PATTERN .svn EXCLUDE)

install(DIRECTORY Fields_of_Peace DESTINATION ${WALLPAPER_INSTALL_DIR} PATTERN .svn EXCLUDE)

install(DIRECTORY Finally_Summer_in_Germany DESTINATION ${WALLPAPER_INSTALL_DIR} PATTERN .svn EXCLUDE)

install(DIRECTORY Fresh_Morning DESTINATION ${WALLPAPER_INSTALL_DIR} PATTERN .svn EXCLUDE)

install(DIRECTORY Media_Life DESTINATION ${WALLPAPER_INSTALL_DIR} PATTERN .svn EXCLUDE)

install(DIRECTORY Plasmalicious DESTINATION ${WALLPAPER_INSTALL_DIR} PATTERN .svn EXCLUDE)

install(DIRECTORY Quadros DESTINATION ${WALLPAPER_INSTALL_DIR} PATTERN .svn EXCLUDE)

install(DIRECTORY Red_Leaf DESTINATION ${WALLPAPER_INSTALL_DIR} PATTERN .svn EXCLUDE)

install(DIRECTORY Spring_Sunray DESTINATION ${WALLPAPER_INSTALL_DIR} PATTERN .svn EXCLUDE)

install(DIRECTORY The_Rings_of_Saturn DESTINATION ${WALLPAPER_INSTALL_DIR} PATTERN .svn EXCLUDE)

=== PolicyKit-kde/authorization/CMakeLists.txt ===
## Private Library

set(polkit_private_LIB_SRCS
    PkKAuthorization.cpp
    PkKAction.cpp
    PkKStrings.cpp
    AuthorizationsFilterModel.cpp
    ExplicitAuthorizationsModel.cpp
    PkKBlockGrantAuth.cpp
    pkitemdelegate.cpp
    PoliciesModel.cpp
    PolicyItem.cpp
)

kde4_add_ui_files(polkit_private_LIB_SRCS
    PkKAuthorization.ui
    PkKAction.ui
    PkKBlockGrantAuth.ui
)

kde4_add_library(polkitkdeprivate SHARED ${polkit_private_LIB_SRCS})

target_link_libraries(polkitkdeprivate
	${KDE4_KDEUI_LIBS}
	${POLKITDBUS_LIBRARIES}
	${POLKITGRANT_LIBRARIES}
	${POLKIT_LIBRARIES}
	${POLKITQT_CORE_LIBRARY}
        ${POLKITQT_GUI_LIBRARY}
)

set_target_properties(polkitkdeprivate PROPERTIES VERSION ${GENERIC_LIB_VERSION} SOVERSION ${GENERIC_LIB_SOVERSION} )
install(TARGETS polkitkdeprivate  ${INSTALL_TARGETS_DEFAULT_ARGS})

## Auth Application

set(polkit_authorization_SRCS
    main.cpp
    PkKAuthorizationDialog.cpp
)

kde4_add_executable(polkit-kde-authorization ${polkit_authorization_SRCS})
target_link_libraries(polkit-kde-authorization polkitkdeprivate ${KDE4_KDEUI_LIBS})

install(TARGETS polkit-kde-authorization ${INSTALL_TARGETS_DEFAULT_ARGS})

# kcm module

set(pkk_authorization_SRCS
    KcmPkKAuthorization.cpp
)

kde4_add_plugin(kcm_pkk_authorization ${pkk_authorization_SRCS})
target_link_libraries(kcm_pkk_authorization polkitkdeprivate ${KDE4_KUTILS_LIBS} )

install( FILES kcm_pkk_authorization.desktop DESTINATION ${SERVICES_INSTALL_DIR} )

install(TARGETS kcm_pkk_authorization DESTINATION ${PLUGIN_INSTALL_DIR} )

=== cmake/modules/CMakeLists.txt ===
# install the cmake files

# don't glob for the files, since we don't want to
# install e.g. FindLibKNotification-1.cmake
set(cmakeFiles FindCkConnector.cmake
               FindDBus.cmake
               FindGooglegadgets.cmake
               FindLibXKlavier.cmake
               FindPAM.cmake
               FindQEdje.cmake
               FindSensors.cmake
               PkgConfigGetVar.cmake
               UnixAuth.cmake )

set(module_install_dir ${DATA_INSTALL_DIR}/cmake/modules )

install( FILES  ${cmakeFiles} DESTINATION ${module_install_dir} )

=== doc/kcontrol/CMakeLists.txt ===
add_subdirectory(clock)
add_subdirectory(colors)
add_subdirectory(desktopthemedetails)
add_subdirectory(joystick)
add_subdirectory(kcmaccess)
add_subdirectory(kcmdisplay)
add_subdirectory(kcmstyle)
add_subdirectory(solid-actions)
add_subdirectory(solid-hardware)
add_subdirectory(splashscreen)
add_subdirectory(powerdevil)
add_subdirectory(kwincompositing)
add_subdirectory(kwinscreenedges)

if ( Q_WS_X11 )
add_subdirectory(autostart)
add_subdirectory(bell)
add_subdirectory(fonts)
add_subdirectory(fontinst)
add_subdirectory(keys)
add_subdirectory(keyboard)
add_subdirectory(kwindecoration)
add_subdirectory(desktop)
add_subdirectory(kxkb)
add_subdirectory(mouse)
add_subdirectory(screensaver)
add_subdirectory(windowspecific)
add_subdirectory(windowbehaviour)
add_subdirectory(kwintabbox)
add_subdirectory(kcmsmserver)
add_subdirectory(workspaceoptions)
endif ( Q_WS_X11 )

=== kcontrol/input/CMakeLists.txt ===

add_subdirectory( pics ) 
KDE4_NO_ENABLE_FINAL(input)

macro_optional_find_package(USB)
macro_bool_to_01(LIBUSB_FOUND HAVE_LIBUSB)
macro_log_feature(LIBUSB_FOUND "libusb" "User level access to USB devices" "http://libusb.sourceforge.net/" FALSE "" "Provides Logitech mouse support in KControl.")

configure_file (config-kcontrol-input.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-kcontrol-input.h )

include_directories( ${KDE4_INCLUDES} )


if (LIBUSB_FOUND)
  include_directories( ${LIBUSB_INCLUDE_DIR} )
endif (LIBUSB_FOUND)


if(X11_Xcursor_FOUND)
  set( libnoinst_SRCS
    xcursor/themepage.cpp
    xcursor/thememodel.cpp
    xcursor/cursortheme.cpp
    xcursor/legacytheme.cpp
    xcursor/xcursortheme.cpp
    xcursor/previewwidget.cpp
    xcursor/itemdelegate.cpp
    xcursor/sortproxymodel.cpp
    ../krdb/krdb.cpp )
  kde4_add_ui_files( libnoinst_SRCS xcursor/themepage.ui )
  include_directories( ${CMAKE_CURRENT_SOURCE_DIR}/xcursor/ )
else(X11_Xcursor_FOUND)
  set( libnoinst_SRCS core/themepage.cpp )
  include_directories( ${CMAKE_CURRENT_SOURCE_DIR}/core/ )
endif(X11_Xcursor_FOUND)



########### next target ###############

set(kapplymousetheme_SRCS kapplymousetheme.cpp )


kde4_add_executable(kapplymousetheme ${kapplymousetheme_SRCS})

target_link_libraries(kapplymousetheme 
${KDE4_KDEUI_LIBS} ${X11_Xrender_LIB} ${X11_X11_LIB})
if (X11_Xcursor_FOUND)
   target_link_libraries(kapplymousetheme ${X11_Xcursor_LIB})
endif (X11_Xcursor_FOUND)

install(TARGETS kapplymousetheme ${INSTALL_TARGETS_DEFAULT_ARGS})


########### next target ###############

set(kcm_input_PART_SRCS mouse.cpp main.cpp logitechmouse.cpp ${libnoinst_SRCS})


kde4_add_ui_files(kcm_input_PART_SRCS kmousedlg.ui logitechmouse_base.ui )

kde4_add_plugin(kcm_input ${kcm_input_PART_SRCS})


target_link_libraries(kcm_input ${KDE4_KIO_LIBS} ${X11_LIBRARIES})
if (LIBUSB_FOUND)
   target_link_libraries(kcm_input ${LIBUSB_LIBRARIES})
endif (LIBUSB_FOUND)
if (X11_Xcursor_FOUND)
   target_link_libraries(kcm_input ${X11_Xcursor_LIB})
endif (X11_Xcursor_FOUND)
if (X11_Xfixes_FOUND)
   target_link_libraries(kcm_input ${X11_Xfixes_LIB})
endif (X11_Xfixes_FOUND)

install(TARGETS kcm_input  DESTINATION ${PLUGIN_INSTALL_DIR} )


########### install files ###############

install( FILES mouse.desktop  DESTINATION  ${SERVICES_INSTALL_DIR} )
install( FILES cursor_large_black.pcf.gz cursor_large_white.pcf.gz cursor_small_white.pcf.gz  DESTINATION  ${DATA_INSTALL_DIR}/kcminput )
install( FILES mouse_cursor_theme.upd  DESTINATION  ${KCONF_UPDATE_INSTALL_DIR} )

=== debian/changelog ===
kdebase-workspace (4:4.4.5-7+squeeze1) stable-proposed-updates; urgency=low

  * Backport 33_backport_krunner_crash_fix_threading.diff patch from 4.5.0 to
    fix random but common krunner crashes. (Closes: #607974)

 -- Modestas Vainius <modax@debian.org>  Sat, 12 Feb 2011 20:38:18 +0200

kdebase-workspace (4:4.4.5-7) unstable; urgency=high

  * Replace Conflicts against kwin with Breaks in kde-window-manager. Also
    version them at (<< 4:4).
  * Remove Replaces/Conflicts on kwin (>= 4:4.0.1-1) from libkdecorations4 and
    libkwineffects1a packages.
  * Urgency=high, important for squeeze release.

 -- Modestas Vainius <modax@debian.org>  Thu, 13 Jan 2011 21:50:34 +0200

kdebase-workspace (4:4.4.5-6) unstable; urgency=medium

  [ Pino Toscano ]
  * Move the solid servicetypes from kdebase-workspace-bin.install.linux to
    kdebase-workspace-bin.install. (Closes: #608541)

  [ Modestas Vainius ]
  * Document a workaround for the "dark taskbar" bug in README.Debian. The real
    fix is in KDE SC 4.5 or later. However, regardless, I think this change
    closes: #564941.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sun, 02 Jan 2011 01:48:18 +0200

kdebase-workspace (4:4.4.5-5) unstable; urgency=medium

  [ Modestas Vainius ]
  * Add patch 31_kdm_vt_switching_on_kfreebsd.diff which implements VT
    switching and status detection support for KDM on kFreeBSD. This should
    fix an issue with KDM hijacking VT2 on bootup. (Closes: #586540)
  * Fix ksmserver crash on logout. It's 100% reproducible on kfreebsd-amd64.
  * Make kdebase-workspace-bin Replace and Break kdesktop. (Closes: #605135)
  * Set urgency=medium due to multiple RC bug fixes.

  [ Didier Raboud ]
  * Fix a segfault in qguiplatformplugin_kde, thanks to David Alan Gilbert
    (patch 33_qguiplatformplugin_kde_NULL_check.diff). (Closes: #603480)

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sun, 28 Nov 2010 13:09:18 +0200

kdebase-workspace (4:4.4.5-4) unstable; urgency=low

  [ Frederik Schwarzer ]
  * Add a patch that doubles the time KDM waits for X to start.
    (Closes: #524751)

  [ Modestas Vainius ]
  * Backport oneliner patch which is likely to fix dual head support in plasma
    (KDE bug #156475).
  * Add back support for changing RandR settings on KDE startup (patch
    29_backport_fix_krandr_support_in_startkde.diff). (Closes: #596473)
  * Fix kdm.postinst not to fail due to -e mode even if default display manager
    cannot be found on the system. After all, this behaviour appears to be an
    intention of the original code as well. (Closes: #585981)
  * Deprecate 01_plasma_netbook_no_autostart.diff and add
    30_plasma_netbook_fix_autostart.diff patch to properly fix issues
    with autostart of plasma-netbook. The fix is needed for kde-plasma-netbook
    metapackage to be useful. (Closes: #584905)

  [ Sune Vuorela ]
  * Fix a bug in 99_solid_network_use_ntrack.diff patch.

 -- Modestas Vainius <modax@debian.org>  Wed, 20 Oct 2010 01:06:17 +0300

kdebase-workspace (4:4.4.5-3) unstable; urgency=low

  [ Sune Vuorela ]
  * Don't use ntrack on !linux. It doesn't work/exist there, and fix
    patch to actually work in all cases.

  [ Pino Toscano ]
  * Fix a typo in description of libksgrd4, which slipped in my previous
    changes. (Closes: #592278)

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 02 Aug 2010 23:23:41 +0200

kdebase-workspace (4:4.4.5-2) unstable; urgency=low

  [ Sune Vuorela ]
  * Add a patch to also query libntrack for networkstatus. Also add
    libntrack-qt4-dev to build-deps to actually use the new feature.

  [ Modestas Vainius ]
  * Point debian/control Vcs fields to the new Git repository.

  [ Pino Toscano ]
  * Expand a bit and fix typo in description of libksgrd4. (Closes: #589903)

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 02 Aug 2010 23:23:41 +0200

kdebase-workspace (4:4.4.5-1) unstable; urgency=low

  * New upstream release.

  [ Modestas Vainius ]
  * Make kdebase-workspace-data replace & conflict with ksplash
    (Closes: #584861).
  * Do not hardcode python version in plasma-scriptengine-python.install
    (Closes: #585174).
  * Ship kdm virtual facility for insserv (Closes: #554831).
  * Bump kde-sc-dev-latest build dependency to 4:4.4.5.

  [ George Kiagiadakis ]
  * Add patch 01_plasma_netbook_no_autostart.diff from kubuntu
    to fix plasma-netbook autostart when only plasma-netbook
    is installed. (Closes: #584905)

  [ Fathi Boudra]
  * Add missing Conflicts/Replaces with ksplash to kdebase-workspace-bin
    package (Closes: #585716).
  * Add krb5-kdc to Should-Start kdm init script. (Closes: #584434)

  [ Sune Vuorela ]
  * Remove python build requirements fixes. fixed upstream.
  * Fix plasma-scriptengine-qedje description. (Closes: 584236)
  * Update descriptions.

 -- Sune Vuorela <sune@debian.org>  Sun, 18 Jul 2010 00:42:04 +0200

kdebase-workspace (4:4.4.4-1) unstable; urgency=low

  * New upstream release.

  [ Pino Toscano ]
  * Few touches to the packages descriptions.
    - ... including the plasma-scriptengine-python one. (Closes: #580114)

  [ Modestas Vainius ]
  * Update symbol files for amd64 armel hppa hurd-i386 i386 ia64 kfreebsd-amd64
    kfreebsd-i386 mips mipsel powerpc s390 sparc.
  * Bump pkg-kde-tools build dependency to (>= 0.9) for HTML_INSTALL_DIR
    switch and 3.0 (quilt) source format support.
  * Switch to 3.0 (quilt) source package format and original tar.bz2
    tarballs.
  * Replace usr/share/doc/kde4 references with usr/share/doc/kde.
  * Drop quilt from Build-Depends, no longer needed for 3.0 (quilt).
  * Remove debian/README.source. Patch support is part of source format
    now.
  * Move debian/source.lintian-overrides to debian/source/lintian-overrides.
  * Bump kde-sc-dev-latest build dependency to 4:4.4.4.

  [ Sune Vuorela ]
  * Move to libsensors 3.x series. change build-deps to libsensors4-dev. (Yes,


=== debian/control ===
Source: kdebase-workspace
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>, Fathi Boudra <fabo@debian.org>, Armin Berres <armin+debian@space-based.de>, Modestas Vainius <modax@debian.org>, George Kiagiadakis <gkiagiad@csd.uoc.gr>
Build-Depends: kde-sc-dev-latest (>= 4:4.4.5),
 cdbs (>= 0.4.51), cmake, debhelper (>= 7), pkg-kde-tools (>= 0.9),
 dpkg-dev (>= 1.15.5), kdelibs5-dev (>= 4:4.4), kdepimlibs5-dev (>= 4:4.4),
 libakonadi-dev (>= 1.1.95), shared-desktop-ontologies,
 libboost-dev, python-support (>= 0.6), python-dev,
 libbluetooth-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
 libck-connector-dev, libdbus-1-dev,
 libnm-util-dev (>= 0.7) [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
 network-manager-dev (>= 0.7.0) [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
 libpam0g-dev, libqimageblitz-dev (>= 1:0.0.4-2), 
 libraw1394-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], 
 libsensors4-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
 libdevstat-dev [kfreebsd-i386 kfreebsd-amd64],
 libstrigiqtdbusclient-dev (>= 0.6.3), libstreamanalyzer-dev (>= 0.6.3), libusb-dev, libxkbfile-dev,
 libxcomposite-dev, libxdamage-dev, libxfixes-dev, libxklavier-dev,
 libxrandr-dev, libxrender-dev, libxi-dev,
 libsmbclient-dev, libxcb1-dev, libxine-dev, libfontconfig-dev, libglu1-mesa-dev,
 libsm-dev, libxcursor-dev, libxft-dev, libxtst-dev, libqt4-opengl-dev, libxinerama-dev,
 libxss-dev, libqedje-dev (>= 0.4.0), libggadget-1.0-dev (>= 0.11.2), libggadget-qt-1.0-dev (>= 0.11.2),
 libgps-dev (>= 2.90),
 libntrack-qt4-dev [linux-any]
Standards-Version: 3.8.4
Homepage: http://www.kde.org/
Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kdebase-workspace.git
Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kdebase-workspace.git

Package: kdebase-workspace
Architecture: all
Depends:  kdebase-workspace-bin (>= ${source:Version}), ${misc:Depends},
 klipper (>= ${source:Version}), ksysguard (>= ${source:Version}), 
 kde-window-manager (>= ${source:Version}), systemsettings (>= ${source:Version})
Recommends: kdm (>= ${source:Version})
Description: KDE Plasma Workspace components
 KDE is produced by an international technology team that creates free and open
 source software for desktop and portable computing. Among KDE's products are a
 modern desktop system for Linux and UNIX platforms, comprehensive office
 productivity and groupware suites and hundreds of software titles in many
 categories including Internet and web applications, multimedia, entertainment,
 educational, graphics and software development.
 .
 This package provides a basic KDE desktop installation.

Package: plasma-desktop
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, plasma-widgets-workspace (= ${binary:Version})
Recommends: kdebase-workspace
Replaces: kdebase-workspace-bin (<< 4:4.4.0), plasma-widgets-workspace (<< 4:4.4.0)
Description: The KDE Plasma workspace for desktop and laptop computers
 Provides the environment for running and managing applications and integrating
 interaction of applications. It is designed as generic environment for all
 kinds of desktop applications, not only applications built on the KDE Platform.
 It integrates best with applications following the standards used by the KDE
 Platform.
 .
 This package is part of the KDE base workspace module.

Package: plasma-netbook
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, plasma-widgets-workspace (= ${binary:Version})
Recommends: kdebase-workspace
Description: The KDE Plasma workspace for netbook computers
 Provides the environment for running and managing applications and integrating
 interaction of applications. It is designed as generic environment for all
 kinds of applications in a netbook environment, not only applications built on
 the KDE Platform. It integrates best with applications following the standards
 used by the KDE Platform.
 .
 This package is part of the KDE base workspace module.

Package: kdebase-workspace-bin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 plasma-desktop (= ${binary:Version}) | plasma-netbook (= ${binary:Version}),
 kdebase-workspace-data (= ${source:Version}), x11-utils, x11-xserver-utils,
 kaboom (>= 1.0.5), kdebase-workspace-kgreet-plugins (= ${binary:Version})
Recommends: plasma-scriptengines, polkit-kde-1 | policykit-1-gnome
Suggests: x11-xkb-utils
Conflicts: kcontrol, libplasma1, libplasma2, libkfontinst4, ksplash
Replaces: kdebase-bin (<< 4:4.0.0-1), kcontrol, kmenuedit, ktip, libplasma2,
 kde-window-manager (<< 4:4.1.80), kdebase-workspace-data (<< 4:4.1.82),
 kdebase-workspace-libs4+5, libkfontinst4, ksplash, kdesktop
Breaks: kdesktop
Description: core binaries for the KDE Plasma Workspace
 This package contains miscellaneous programs needed for a basic desktop
 installation. Among other standard KDE Workspace components, the package
 provides startkde scripts, ksmserver (the session manager), krunner,
 the default KDE screensavers and many KDE configuration modules. This
 package is essential to start and use KDE Plasma Workspace.
 .
 This package is part of the KDE base workspace module.

Package: kdebase-workspace-data
Architecture: all
Depends: oxygencursors, ${misc:Depends}, ${perl:Depends}
Conflicts: ksmserver, kdebase-bin (<< 4:4.0.0-1), kdebase-data (<< 4:4.0.0-1),
 kmenuedit, ktip, libplasma1, systemsettings (<< 4:4.1.80), ksplash
Replaces: ksmserver, kdebase-bin (<< 4:4.0.0-1), kdebase-data (<< 4:4.0.0-1),
 kmenuedit, ktip, kdebase-runtime-data (<< 4:4.1.3), kde-window-manager (<< 4:4.1.80),
 kdm (<< 4:4.2.0-3), systemsettings (<< 4:4.1.80), ksplash
Description: shared data files for the KDE Plasma Workspace
 This package contains architecture-independent shared data files needed for a
 basic KDE Workspace installation.
 .
 This package is part of the KDE base workspace module.

Package: kdebase-workspace-dev
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${allLibraries},
 ${sameVersionDep:kdelibs5-dev:kdebase-workspace-bin},
Replaces: kdebase-workspace-data (<< 4:4.1.80), ksysguard (<< 4:4.1.80), libplasma-dev (<< 4:4.1.80),
 kde-window-manager (<< 4:4.1.80)
Conflicts: kdebase-workspace-libs4+5
Description: development files for the KDE Plasma Workspace
 This package contains development files for building software that uses
 libraries from the KDE Plasma Workspace.
 .
 This package is part of the KDE base workspace module.

Package: plasma-dataengines-workspace
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: ksysguardd (= ${binary:Version})
Replaces: kdebase-workspace-bin (<< 4:4.1.82), kdebase-workspace-data (<< 4:4.1.82),
 systemsettings (<< 4:4.1.80), libplasma2
Conflicts: libplasma2
Description: KDE Plasma data engines
 This package contains standard Plasma data engines shipped in KDE Plasma
 workspace. These engines are needed by the standard KDE base
 workspace Plasma widgets, but they may be useful for any other Plasma widget
 too.
 .
 This package is part of the KDE base workspace module.

Package: plasma-widgets-workspace
Architecture: any
Depends: ${shlibs:Depends}, plasma-dataengines-workspace (= ${binary:Version}), ${misc:Depends}, kdebase-runtime (>> 4.3.3~)
Replaces: kdebase-workspace-bin (<< 4:4.1.82), kdebase-workspace-data (<< 4:4.1.82), libplasma2,
 plasma-applets-workspace, kdebase-workspace-libs4+5, libplasma-applet-system-monitor4
Conflicts: libplasma2, plasma-applets-workspace, kdebase-workspace-libs4+5, libplasma-applet-system-monitor4
Description: plasma widgets and containments for the KDE Plasma Workspace
 This package contains standard Plasma widgets and containments shipped in the
 KDE base workspace module. They provide such basic desktop functionality as
 the panel, task manager, application laucher, clock and more. The default KDE
 Workspace is a combination of these visual components.
 .
 This package also includes the default animator used by the main KDE Plasma
 Desktop shell.
 .
 This package is part of the KDE base workspace module.

Package: plasma-scriptengines
Architecture: all
Depends: plasma-scriptengine-javascript (>= 4:4.2.95),
 plasma-scriptengine-qedje (>= ${source:Version}),
 plasma-scriptengine-ruby (>= ${source:Version}),
 plasma-scriptengine-python (>= ${source:Version}),
 plasma-scriptengine-webkit (>= ${source:Version}),
 plasma-scriptengine-googlegadgets (>= ${source:Version}), ${misc:Depends}
Recommends: plasma-scriptengine-superkaramba
Suggests: plasma-scriptengine-kimono
Description: a metapackage to install all Plasma script engines
 This metapackage depends on all Plasma script engines which kdebase-workspace
 module provides and suggests script engines from other official KDE modules.
 .
 This package is part of the KDE base workspace module.

Package: plasma-scriptengine-qedje
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: QEdje script engine for Plasma
 This package provides the Edje script engine for Plasma. You have to install it
 if you want to use Plasma widgets and data engines written in Edje.
 .
 This package is part of the KDE base workspace module.

Package: plasma-scriptengine-ruby
Architecture: all
Depends: libplasma-ruby (>= 4:4.2.0), ${misc:Depends}
Replaces: kdebase-workspace-bin (<< 4:4.1.82+svn893000), kdebase-workspace-data (<< 4:4.1.82+svn893000)
Description: Ruby script engine for Plasma
 This package provides the Ruby script engine for Plasma. You have to install it
 if you want to use Plasma widgets and data engines written in Ruby.
 .
 This package is part of the KDE base workspace module.

Package: plasma-scriptengine-python
Architecture: all
Depends: ${python:Depends}, python-kde4 (>= 4:4.2.0), ${misc:Depends}
Description: Python script engine for Plasma
 This package provides the Python script engine for Plasma. You have to install
 it if you want to use Plasma widgets and data engines written in Python.
 .
 This package is part of the KDE base workspace module.

Package: plasma-scriptengine-webkit
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kdebase-workspace-bin (<< 4:4.1.82+svn893000), kdebase-workspace-data (<< 4:4.1.82+svn893000)
Description: Web and Mac OS X dashboard widget support for Plasma
 This package provides the WebKit script engine for Plasma which adds support
 for the webpage widgets written in HTML and JavaScript and for the Apple
 Mac OS X dashboard widgets. You have to install this package if you want to be
 able to load these widgets in your Plasma shell.
 .
 This package is part of the KDE base workspace module.

Package: plasma-scriptengine-googlegadgets
Priority: extra
Architecture: any
Depends: ${shlibs:Depends}, google-gadgets-qt, google-gadgets-xul, ${misc:Depends}
Description: Google Gadgets script engine for Plasma
 This package contains the Google Gadgets script engine for Plasma. It enables
 Plasma to serve as a Google Gadgets host and allows to load and use any gadget
 as if it was a Plasma widget. It also integrates download and installation of
 new gadgets from the official Google Desktop Gadgets website.
 .
 This package is part of the KDE base workspace module.

Package: kdm
Section: x11
Architecture: any
Depends: ${shlibs:Depends}, debconf | debconf-2.0, lsb-base (>= 3.2-14), consolekit, ${misc:Depends},
 kdebase-workspace-kgreet-plugins (= ${binary:Version})
Recommends: logrotate, xserver-xorg-core | xserver,
 kdebase | x-session-manager | x-window-manager, xterm | x-terminal-emulator
Suggests: kdepasswd
Replaces: kdebase-workspace-data (<< 4:4.1.80), kdebase-workspace-bin (<< 4:4.1.80)
Conflicts: desktop-base (<< 4.0.4), kdebase-data (<< 4:4.0.0-1), kde-kdm-themes, kdmtheme
Provides: x-display-manager
Description: KDE Display Manager for X11
 KDM manages a collection of X servers running on local or remote machines.
 It allows users to easily log into their preferred desktop environment, connect

=== debian/rules ===
#!/usr/bin/make -f

DEB_ALL_LIBRARIES_SUBST_PACKAGES = kdebase-workspace-dev
DEB_STRICT_LOCAL_SHLIBS_PACKAGES = $(DEB_LIBRARY_PACKAGES)
BINARYVERSION := $(shell dpkg-parsechangelog | grep '^Version: ' | sed 's/^Version: //')

include /usr/share/pkg-kde-tools/qt-kde-team/1/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/1/library-packages.mk

#DEB_CMAKE_EXTRA_FLAGS += \
#	-DINSTALL_PRINTER_APPLET=TRUE

DEB_CMAKE_EXTRA_FLAGS += -DKDE4_KDM_PAM_SERVICE=kdm -DKDE4_COMMON_PAM_SERVICE=kdm
DEB_DH_MAKESHLIBS_ARGS_ALL := -V -u-c0

# Private shared libraries which do not install headers
DEB_DH_MAKESHLIBS_ARGS_libplasmagenericshell4 := '-Vlibplasmagenericshell4 (= $(BINARYVERSION))'

DEB_DH_MAKESHLIBS_ARGS_plasma-desktop := -Xlibkickoff.so

DEB_DH_SHLIBDEPS_ARGS_kdebase-workspace-bin := -- -xksysguard
DEB_DH_SHLIBDEPS_ARGS_kdebase-workspace-dev := -- -xkdebase-runtime

# For kdm: prevent it from stopping kdm in prerm ever (--no-restart-on-upgrade
# is not enough)
DEB_DH_INSTALLINIT_ARGS = --noscripts

# Install README.Debian to all binary packages
DEB_INSTALL_DOCS_DEFAULT += ./debian/README.Debian

$(foreach p,$(filter lib%, $(DEB_ARCH_PACKAGES)),$(eval DEB_DH_SHLIBDEPS_ARGS_$(p) := -- -xkdebase-runtime))

binary-install/kdm::
	install -p -D -m644 debian/kdm-np.pam debian/kdm/etc/pam.d/kdm-np
	install -p -D -m644 debian/kdm.insserv debian/kdm/etc/insserv.conf.d/kdm

binary-install/plasma-scriptengine-python::
	dh_pysupport -p$(cdbs_curpkg) /usr/share/kde4/apps/plasma_scriptengine_python

ifeq ($(DEB_HOST_ARCH_OS),linux)
install/kdebase-workspace-bin install/kdebase-workspace-data::
	# Install common files
	dh_install -p$(cdbs_curpkg) --ignore=debian/$(cdbs_curpkg).install.linux
endif
